Distribution:   CCux
Packager:	Stefan Gottwald <sg3881@web.de>

Summary:	Library for accessing and manipulating reiserfs partitions.
Name:		progsreiserfs
Version:	0.3.0.5
Release:	2
Provides:	%{name}
License:	GNU/GPL 
URL:		http://reiserfs.linux.kiev.ua
Group:		System/Libraries
Source0:	%{name}-%{version}.tar.gz
Patch0:		%{name}-%{version}-aclocal.patch
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	e2fsprogs-devel, gettext-devel
Requires:	e2fsprogs

%description
progsreiserfs is a Library for accessing and manipulating reiserfs partitions.

%package devel
Summary: 	%{name} development headers.
Group: 		%{group}            
Requires: 	%{name} = %{version}-%{release}

%description devel
Header and include files for developing applications with %{name}.

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}
%patch0 -p1

%build
export CFLAGS="$CFLAGS -L`pwd`/libdal/.libs -L`pwd`/libreiserfs/.libs"
export CXXFLAGS="$CFLAGS"
mkdir -p ./libdal/.libs
mkdir -p ./libreiserfs/.libs
./configure --prefix=%_prefix --mandir=%_mandir --disable-Werror --enable-nls --disable-debug
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm -rf $RPM_BUILD_ROOT%_prerfix/{sbin,share/man}
find %{buildroot} -type f \
-exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%doc AUTHORS BUGS ChangeLog NEWS README THANKS TODO
%_sbindir
%_libdir/libdal-0.3.so.0.0.0
%_libdir/libdal-0.3.so.0
%_libdir/libreiserfs-0.3.so.0.0.0
%_libdir/libreiserfs-0.3.so.0
%_mandir

%files devel
%defattr(-,root,root)
%_includedir
%_aclocal
%_libdir/libdal.so
%_libdir/libdal.la
%_libdir/libdal.a
%_libdir/libreiserfs.so
%_libdir/libreiserfs.la
%_libdir/libreiserfs.a

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Jan 05 2006 Christian Wasem <wasem@ccux-linux.de> 0.3.0.5-2
- moved more files to devel (.so, .a, .la)
* Thu Jan 05 2006 Stefan Gottwald <gotti@ccux-linux.de> 0.3.0.5-1
- version update
* Mon Oct 31 2005 Christian Wasem <wasem@ccux-linux.de> 0.3.0.4-3
- added aclocal patch
* Mon May 23 2005 Christian Metzen <metzench@ccux-linux.de> 0.3.0.4-2
- Tweaked Spec File, added new Summary, changelog, removed unnecessary doc package
* Mon May 16 2005 Stefan Gottwald <sg3881@web.de> 0.3.0.4-1
- Initial Release